Bug 43478 - Using client flush before commit loses headers
Using client flush before commit loses headers
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Connector:AJP
Nightly Build
All All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-09-25 19:38 UTC by william.barker
Modified: 2011-09-26 07:17 UTC (History)
0 users



Attachments
Patch to fix this bug. (851 bytes, patch)
2007-09-25 19:43 UTC, william.barker
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description william.barker 2007-09-25 19:38:53 UTC
When an explicit client-flush is called before the headers are sent, the 
headers get lost.
Comment 1 william.barker 2007-09-25 19:43:34 UTC
Created attachment 20882 [details]
Patch to fix this bug.
Comment 2 jfclere 2007-09-26 23:48:18 UTC
Note mod_proxy contains a  fix for that see
http://svn.apache.org/viewvc?rev=579707&view=rev
Comment 3 william.barker 2007-09-30 17:23:04 UTC
Patch has been committed to SVN.
Comment 4 William Lovaton 2011-09-01 14:36:45 UTC
(In reply to comment #2)
> Note mod_proxy contains a  fix for that see
> http://svn.apache.org/viewvc?rev=579707&view=rev

Hello, is there any plan to backport this patch to Apache 2.2?  I really need this fix.

Thanks.
Comment 5 Konstantin Kolinko 2011-09-26 07:17:40 UTC
(In reply to comment #4)
> is there any plan to backport this patch to Apache 2.2?

As far as I see this is already covered by the following commit in mod_jk:
http://svn.apache.org/viewvc?rev=579349&view=rev

The proposed Java patch has also been committed to Tomcat and is present in the current 5.5 and 6.0 versions. If you are still experiencing this issue, I'd think that it is something else.

Please open a new bug, or better discuss it on the users@ mailing list first.